/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.resource.deployment;

/**
 * MBean interface.
 */
public interface AdminObjectMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.jca:service=AdminObject");

   /**
    * Get the jndi name
    * @return the jndi name
    */
   java.lang.String getJNDIName();

   /**
    * Set the jndi name
    * @param jndiName the jndi name
    */
   void setJNDIName(java.lang.String jndiName);

   /**
    * Get the properties
    * @return the properties
    */
   java.util.Properties getProperties();

   /**
    * Set the properties
    * @param properties the properties
    */
   void setProperties(java.util.Properties properties);

   /**
    * Get the rar name
    * @return the rar name
    */
   javax.management.ObjectName getRARName();

   /**
    * Set the rar name
    * @param rarName the rar name
    */
   void setRARName(javax.management.ObjectName rarName);

   /**
    * Get the interface type
    * @return the interface type
    */
   java.lang.String getType();

   /**
    * Set the interface type
    * @param type the interface type
    */
   void setType(java.lang.String type);

}
